Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class NetworkBasicView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.NetworkBasicView

All Implemented Interfaces:
  ConfigView

public class NetworkBasicView
extends ConfigViewImpl

This class is a view panel that shows basic network informational panel for the ConnectMe device This view can be embedded in other panels as desired.

Field Summary
`(package private) com.digi.config.ui.GridContentPanel` | `content` Panel that holds the view content
`(package private) javax.swing.JTextField` | `domain_UIC`
`(package private) com.digi.config.core.KvpField` | `domainKvpField`
`(package private) javax.swing.JTextField` | `gateway_UIC`
`(package private) com.digi.config.core.KvpField` | `gatewayKvpField`
`(package private) javax.swing.JTextField` | `hostName_UIC`
`(package private) com.digi.config.core.KvpField` | `hostNameKvpField`
`(package private) javax.swing.JTextField` | `ipAddress_UIC`
`(package private) com.digi.config.core.KvpField` | `ipAddressKvpField`
`(package private) com.digi.config.core.KvpField` | `ipAssignAutoipKvpField`
`(package private) javax.swing.JRadioButton` | `ipAssignDhcp_UIC`
`(package private) com.digi.config.core.KvpField` | `ipAssignDhcpKvpField`
`(package private) javax.swing.JRadioButton` | `ipAssignManual_UIC`
`(package private) com.digi.config.core.KvpField` | `ipAssignStaticKvpField`
`(package private) com.digi.config.ui.GridContentPanel` | `manualContent` Subpanel holding the manual ip assignment content
`(package private) javax.swing.JTextField` | `nameServer_UIC`
`(package private) com.digi.config.core.KvpField` | `nameServerKvpField`
`(package private) com.digi.config.core.DeviceChangeListener` | `settingChangeListener` listens to the device for changes to kvpGroup
`(package private) javax.swing.JTextField` | `subnetMask_UIC`
`(package private) com.digi.config.core.KvpField` | `subnetMaskKvpField`
`(package private) com.digi.config.core.KvpNode` | `viewSettingTree` A KvpNode that holds just the kvpGroup used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`NetworkBasicView()` Constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided cluster.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device newDevice)` Informs view what device to work with.
`void` | `validateChanges(java.util.Collection errorList)` This method instructs the view to validate any of the changes the user has made within the view.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields, setViewIndex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewSettingTree

    com.digi.config.core.KvpNode viewSettingTree

  A KvpNode that holds just the kvpGroup used in this view

### settingChangeListener

    com.digi.config.core.DeviceChangeListener settingChangeListener

  listens to the device for changes to kvpGroup

### content

    com.digi.config.ui.GridContentPanel content

  Panel that holds the view content

### manualContent

    com.digi.config.ui.GridContentPanel manualContent

  Subpanel holding the manual ip assignment content

### ipAssignStaticKvpField

    com.digi.config.core.KvpField ipAssignStaticKvpField

### ipAssignDhcpKvpField

    com.digi.config.core.KvpField ipAssignDhcpKvpField

### ipAssignAutoipKvpField

    com.digi.config.core.KvpField ipAssignAutoipKvpField

### ipAddressKvpField

    com.digi.config.core.KvpField ipAddressKvpField

### subnetMaskKvpField

    com.digi.config.core.KvpField subnetMaskKvpField

### gatewayKvpField

    com.digi.config.core.KvpField gatewayKvpField

### nameServerKvpField

    com.digi.config.core.KvpField nameServerKvpField

### domainKvpField

    com.digi.config.core.KvpField domainKvpField

### hostNameKvpField

    com.digi.config.core.KvpField hostNameKvpField

### ipAssignDhcp_UIC

    javax.swing.JRadioButton ipAssignDhcp_UIC

### ipAssignManual_UIC

    javax.swing.JRadioButton ipAssignManual_UIC

### ipAddress_UIC

    javax.swing.JTextField ipAddress_UIC

### subnetMask_UIC

    javax.swing.JTextField subnetMask_UIC

### gateway_UIC

    javax.swing.JTextField gateway_UIC

### nameServer_UIC

    javax.swing.JTextField nameServer_UIC

### domain_UIC

    javax.swing.JTextField domain_UIC

### hostName_UIC

    javax.swing.JTextField hostName_UIC

Constructor Detail

### NetworkBasicView

    public NetworkBasicView()
                     throws java.lang.Exception

  Constructor. Sets up the view controls

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device newDevice)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### validateChanges

    public void validateChanges(java.util.Collection errorList)

  This method instructs the view to validate any of the changes the user has made within the view. Any errors are to be added to the provided errorList.

  Specified by:
    `validateChanges` in interface `ConfigView`
  Overrides:
    `validateChanges` in class `ConfigViewImpl`
  Parameters:
    `errorList` - is a collection of ViewValidationError objects

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided cluster. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.